<s:div xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:s="http://jboss.org/schema/seam/taglib"
	xmlns:c="http://java.sun.com/jsp/jstl/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:a4j="http://richfaces.org/a4j"
	xmlns:g="http://www.ihe.net/gazelle"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:gri="http://java.sun.com/jsf/composite/gri"
	xmlns:rich="http://richfaces.org/rich"
	xmlns:gdk="http://www.ihe.net/gazellecdk"
	xmlns="http://www.w3.org/1999/xhtml">
	<rich:dataTable id="messagesTable"
		rendered="#{xdrMessageManagerBean.availableMessages != null}"
		rows="20" value="#{xdrMessageManagerBean.availableMessages}"
		var="currentMessage"
		render="ds">
		<g:column name="idColumn">
			<ui:define name="header">#{messages['net.ihe.gazelle.xdstar.Id']}</ui:define>
			<a href="#{XDRMessage.getFullPermanentLink(currentMessage)}"
				target="_blank">#{currentMessage.id}</a>
		</g:column>
		<g:column id="timestamp" sortBy="#{currentMessage.timeStamp}"
			sortOrder="descending">
			<ui:define name="header">#{messages['gazelle.xdrsrc.timestamp']}</ui:define>
			#{currentMessage.timeStamp}
		</g:column>
		<g:column id="transactionFailure">
			<ui:define name="header">#{messages['gazelle.xdrsrc.failure']}</ui:define>
			<center>
				<h:graphicImage id="ErrorImage" value="/img/reject.gif" width="28"
					height="28" rendered="#{currentMessage.isMessageError}" />
			</center>
		</g:column>
		<g:column id="responseCode" filterBy="#{currentMessage.responseCode}">
			<ui:define name="header">#{messages['gazelle.xdrsrc.ResponseCode']}</ui:define>
			#{currentMessage.responseCode}
		</g:column>
		<g:column id="transaction"
			filterBy="#{currentMessage.transaction.keyword}">
			<ui:define name="header">#{messages['gazelle.xdrsrc.Transaction']}</ui:define>
			#{currentMessage.transaction.keyword}
		</g:column>
		<g:column id="receiver"
			filterBy="#{currentMessage.configuration.name}">
			<ui:define name="header">#{messages['gazelle.xdrsrc.Responder']}</ui:define>
			<h:outputText>#{currentMessage.configuration.name}</h:outputText>
		</g:column>
		<g:column id="action">
			<center>
				<a4j:commandLink
					actionListener="#{xdrMessageManagerBean.selectMessageToDisplay(currentMessage)}"
					oncomplete="jq162('#modalPanel').modal('show');"
					execute="@this"
					render="modalPanel">
					<h:graphicImage id="viewActionImage" value="/img/kfind.gif"
						width="28" height="28" />
				</a4j:commandLink>
				<gdk:spacer width="15" />
				<a4j:commandLink
					actionListener="#{xdrMessageManagerBean.validate(currentMessage)}"
					oncomplete="jq162('#validationModalPanel').modal('show');"
					execute="@this"
					render="validationModalPanel">
					<h:graphicImage id="validateActionImage" value="/img/validate.gif"
						width="28" height="28" />
				</a4j:commandLink>
			</center>
		</g:column>
		<f:facet name="footer">
			<s:div style="text-align: center;">
				<rich:dataScroller id="ds" maxPages="10" renderIfSinglePage="false"
					immediate="true" />
			</s:div>
		</f:facet>
	</rich:dataTable>
	<s:div id="modalPanelDiv">
		<gri:popupPanel id="modalPanel">
			<f:facet name="header">
				<h:outputText
					value="#{xdrMessageManagerBean.selectedMessage.transaction.keyword}" />
			</f:facet>
			<f:facet name="footer">
				<div align="right">
					<a4j:commandButton styleClass="gzl-btn"
									   value="#{messages['net.ihe.gazelle.xdstar.Cancel']}"
									   onclick="jq162('#modalPanel').modal('hide')"
									   execute="@this"/>
				</div>
			</f:facet>
			<s:div
				style="overflow: auto; width: 880px; height: 470px;"
				rendered="#{xdrMessageManagerBean.selectedMessage != null}">
				<gri:tabPanel id="messageContentTabPanel" switchType="ajax"
					selectedTab="#{xdrMessageManagerBean.selectedTab}">
					<gri:tab id="sentMessage" immediate="true" name="sentMessageTab"
						head="#{messages['net.ihe.gazelle.xdstar.SentMessage']}">
						<gdk:insert id="documentSentContent"
							content="#{xdrMessageManagerBean.messageContentString}"
							highlight="xml" />
					</gri:tab>
					<gri:tab id="receivedMessageTab" immediate="true"
						name="receivedMessageTab"
						head="#{messages['net.ihe.gazelle.xdstar.ResponseMessage']}">
						<gdk:insert id="documentResponseContent"
							content="#{xdrMessageManagerBean.messageResponseContentString}"
							highlight="xml" />
					</gri:tab>
				</gri:tabPanel>
			</s:div>
		</gri:popupPanel>
	</s:div>
	<gri:popupPanel id="validationModalPanel">
		<f:facet name="header">
			<h:outputText
				value="#{messages['net.ihe.gazelle.xdstar.MessageValidation']}" />
		</f:facet>
		<f:facet name="footer">
			<div align="right">
				<a4j:commandButton styleClass="gzl-btn"
								   value="#{messages['net.ihe.gazelle.xdstar.Cancel']}"
								   onclick="jq162('#validationModalPanel').modal('hide')"
								   execute="@this"/>
			</div>
		</f:facet>
		<s:div id="validationPanelDiv">
			<h:outputText
				value="#{messages['net.ihe.gazelle.xdstar.ThisFunctionnalityIsNotAvailableYet']}" />
		</s:div>
	</gri:popupPanel>
</s:div>
